#

Function REALP

Syntax:

realp object => generalized-boolean

Arguments and Values:

object---an object.

generalized-boolean---a generalized boolean.

Description:

Returns true if object is of type real; otherwise, returns false.

Examples:

     (realp 12) =>  true
     (realp #c(5/3 7.2)) =>  false
     (realp nil) =>  false
     (realp (cons 1 2)) =>  false

Side Effects: None.

Affected By: None.

Exceptional Situations: None.

See Also: None.

Notes:

     (realp object) ==  (typep object 'real)

The following X3J13 cleanup issue, not part of the specification, applies to this section:

- REAL-NUMBER-TYPE:X3J13-MAR-89

Copyright 1996-2001, Xanalys Inc. All rights reserved.